## com.arsdigita.cms.webpage.installer
Class Initializer

    java.lang.Object
      com.arsdigita.runtime.CompoundInitializer
          com.arsdigita.cms.webpage.installer.Initializer

All Implemented Interfaces:
  com.arsdigita.runtime.Initializer

public class Initializer
extends com.arsdigita.runtime.CompoundInitializer

Field Summary

Fields inherited from class com.arsdigita.runtime.CompoundInitializer
`versionId`

Constructor Summary
`Initializer()`

Method Summary
`static WebpageConfig` `getConfig()`
`void` `init(com.arsdigita.runtime.DomainInitEvent e)`
`void` `shutdown()`
`void` `startup()`

Methods inherited from class com.arsdigita.runtime.CompoundInitializer
`add, init, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Initializer

    public Initializer()

Method Detail

### init

    public void init(com.arsdigita.runtime.DomainInitEvent e)

### getConfig

    public static WebpageConfig getConfig()

### startup

    public void startup()

### shutdown

    public void shutdown()

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1154 UTC